import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_banner.dart';

class PhoenixBannerPage extends StatefulWidget {
  const PhoenixBannerPage({Key? key}) : super(key: key);

  @override
  State<PhoenixBannerPage> createState() => _PhoenixBannerPageState();
}

class _PhoenixBannerPageState extends State<PhoenixBannerPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Banner Sample App'),
      ),
      body: Center(
          child: PhoenixBanner(
        listSlider: const [
          'https://picsum.photos/820/360',
          'https://picsum.photos/820/360',
          'https://picsum.photos/820/360',
          'https://picsum.photos/820/360',
        ],
        onEvent: (event, index) {
          ScaffoldMessenger.of(context).showSnackBar(SnackBar(
            content: Text("${event.name} $index"),
          ));
        },
      )),
    );
  }
}
