import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixEmptyPagePage extends StatelessWidget {
  const PhoenixEmptyPagePage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Empty Page Sample App'),
      ),
      body: PhoenixEmptyPage(
        title: "No Data",
        pageImage: Image.asset(
          "assets/illustration.png",
        ),
        textStyle: const TextStyle(
          fontSize: 16.0,
          color: Color(0xff212124),
        ),
      ),
    );
  }
}
