import 'package:flutter_test/flutter_test.dart';

void main() {
  test('Not Empty String Test', () {
    var result = isTextNotEmpty("Abc1234");
    expect(result, true);
  });

  test('Empty String Test', () {
    var result = isTextNotEmpty("");
    expect(result, false);
  });

  test('Null String Test', () {
    var result = isTextNotEmpty(null);
    expect(result, false);
  });
}

bool isTextNotEmpty(String? text) {
  return text != null && text.isNotEmpty;
}
