import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_webview.dart';

class PhoenixWebviewPage extends StatelessWidget {
  const PhoenixWebviewPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          title: const Text('Phoenix Webview Sample'),
        ),
        body: PhoenixWebview(
            url: "https://flutter.dev/",
            title: "Flutter Dev",
            isShowRefresh: true,
            noInternetHandler: Center(
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.center,
                mainAxisAlignment: MainAxisAlignment.center,
                children: const [
                  Text('No Internet'),
                  Icon(Icons.warning_amber)
                ],
              ),
            )));
  }
}
