import 'package:flutter/material.dart';

class PhoenixTitle extends StatelessWidget {
  const PhoenixTitle({
    Key? key,
    required this.title,
    this.fontSize = 16.0,
    this.fontWeight = FontWeight.w500,
    this.color = const Color(0xff212124),
  }) : super(key: key);

  final String title;
  final double fontSize;
  final FontWeight fontWeight;
  final Color color;

  @override
  Widget build(BuildContext context) {
    return Text(title,
        style: TextStyle(
            fontSize: fontSize, fontWeight: fontWeight, color: color,),);
  }
}
